Remarque :  à compter du 14 juin 2011, Adobe AIR n'est plus pris en charge pour les distributions bureau de Linux. Les utilisateurs peuvent installer et exécuter AIR 2.6 et les versions antérieures, mais ne peuvent ni installer ni passer à AIR 2.7. La dernière version à prendre en charge les distributions bureau de Linux est AIR 2.6. AIR 2.6 est accessible depuisl'archive d'AIR.

Pourquoi avoir décidé de ne plus prendre en charge Adobe AIR pour la version bureau de Linux® ?

La tendance étant aux périphériques mobiles, Adobe s'attache à étendre ses technologies d'exécution à de nouveaux équipements et systèmes d'exploitation. Adobe investit de plus en plus dans la création d'applications mobiles. La version récente de Creative Suite 5.5 a été spécialement conçue pour permettre à nos clients de diffuser leurs contenus sur divers périphériques à l'aide des technologies d'Adobe. Adobe a répondu à cette évolution du marché en offrant une prise en charge d'AIR sur un nombre croissant de plateformes. Ces plateformes incluent les systèmes d'exploitation des tablettes Android, IOS et BlackBerry, les téléviseurs et les décodeurs. Les téléchargements de Lifetime AIR pour bureau Linux représentent moins de 0,5 % du nombre total de téléchargements des versions de bureau d'AIR, soit plus de 450 millions. Par conséquent, Adobe a décidé de modifier le modèle de distribution de Linux et de diriger ces ressources vers ses initiatives de déploiement mobile. Adobe concentre ces efforts sur la prise en charge des systèmes d'exploitation les plus importants pour ses clients et qui offrent la plus grande opportunité en matière de croissance future pour ses partenaires et développeurs. Adobe continue de fournir à ses partenaires la possibilité d'exploiter le code source sous licence via Open Screen Project. Vous pouvez télécharger AIR 2.6, la dernière version compatible avec linux, sur la page des archives.

Adobe ne prend plus en charge l'intégralité du kit SDK d'AIR developer pour les implémentations Linux sur postes de travail. Et, ADL (AIR Debug Launcher) n'est plus pris en charge dans le SDK.

Description

Les versions binaires 64 bits d'AIR ne sont pas disponibles actuellement. L'exécution d'AIR 32 bits sur les systèmes 64 bits n'a pas été complètement testée. Cependant, Adobe s'attend à ce qu'AIR 32 bits fonctionne sur ces systèmes si les bibliothèques et packages 32 bits requis y sont installés. Les instructions suivantes décrivent comment installer AIR 1.5 sur les versions 64 bits d'Ubuntu 7.10, 8.0 et 9.04, Fedora 8 et 10 et openSUSE 11.

Pour toutes les installations

Pour certaines applications Adobe AIR, assurez-vous que kwallet/keyring est activé et en cours d'exécution sur votre ordinateur.

Téléchargez AIR 1.5 pour Linux

Adobe AIR 1.5 pour Linux est disponible ici : http://get.adobe.com/air/.

Packages/Bibliothèques 32 bits requis

  • Packages - lib32asound2 lib32gcc1 lib32ncurses5 lib32stdc++6 lib32z1 libc6 libc6-i386
  • Autres bibliothèques - libnss3.so.1d libnssutil3.so.1d libsmime3.so.1d libssl3.so.1d libnspr4.so.0d libplc4.so.0d libplds4.so.0d

Les étapes ci-dessous indiquent les sources de ces packages et bibliothèques.

Installez AIR 1.5 sur Fedora 8 64 bits

Aucune solution d'installation manuelle n'est requise. Par défaut, AIR fonctionne parfaitement sur la version 64 bits de Fedora 8.

Installez AIR 1.5 sur Fedora 10 64 bits

Pour installer AIR 1.5 sur Fedora 10, effectuez les étapes suivantes :

$ sudo yum install ld-linux.so.2 gtk2-devel.i386
$ sudo yum install libxml2.i386 nss.i386 libXt.so.6
$ sudo yum install gnome-keyring.i386 xterm rpm-libs.i386

Installez AIR 1.5 sur Ubuntu 7.10, 8.04 et 9.04 64 bits

Pour installer AIR 1.5 sur Ubuntu 7.10, 8.0 et 9.04, installez manuellement les fichiers 32 bits en suivant ces instructions :

  1. Installez les fichiers binaires 32 bits à l'aide de l'utilitaire getlibs, disponible ici : http://frozenfox.freehostia.com/cappy/getlibs-all.deb. Cet utilitaire permet d'installer des applications 32 bits sur des systèmes 64 bits en téléchargeant et installant les bibliothèques requises.

Pour utiliser getlibs afin d'installer les bibliothèques AIR 1.5, saisissez les commandes suivantes sur le terminal. Cette commande installe les packages suivants : lib32asound2, lib32gcc1, lib32ncurses5, lib32stdc++6, lib32z1, libc6 et libc6-i386. Ces bibliothèques sont requises pour résoudre les problèmes de fichier de clés courants signalés par les utilisateurs (tweetdeck affiche un écran vide ou des applications ne se connectent pas à Internet, etc.).

$ sudo getlibs ./AdobeAIRInstaller.bin
$ sudo getlibs -l libgnome-keyring.so
$ sudo getlibs -l libgnome-keyring.so.0
$ sudo getlibs -l libgnome-keyring.so.0.1.1
  1. Installez les versions 32 bits de libnns et libnspr, qui sont disponibles ici :
  • libnss3 :
    http://mirrors.kernel.org/ubuntu/pool/main/n/nss/libnss3-1d_3.12.0~beta3-0ubuntu1_i386.deb
  • libnspr4 :
    http://mirrors.kernel.org/ubuntu/pool/main/n/nspr/libnspr4-0d_4.7.1~beta2-0ubuntu1_i386.deb
  1. Ouvrez les packages que vous avez téléchargés en exécutant file-roller en tant que root pour que vous puissiez les extraire dans votre dossier /usr/lib32. Commencez par extraire les fichiers de libnss, à l'aide de la commande suivante :
    $ sudo file-roller ./libnss3-1d_3.12.0~beta3-0ubuntu1_i386.deb
  2. Double-cliquez sur le fichier data.tar.gz. Si le fichier data.tar.gz ne s'ouvre pas automatiquement dans file-roller. Parfois, vous êtes invité à spécifier une application pour l'ouvrir. Si vous êtes invité à choisir une application, entrez file-roller dans la zone Application, puis cliquez sur Ouvrir.
  3. Dans file-roller, recherchez et sélectionnez les fichiers suivants dans le dossier/usr/lib :

    • libnss3.so.1d
    • libnssutil3.so.1d
    • libsmime3.so.1d
    • libssl3.so.1d
  4. Cliquez sur Extraire. Cliquez sur le bouton supérieur gauche de cette fenêtre. L'icône de ce bouton représente un crayon et du papier. Si vous placez votre souris sur ce bouton, "Entrez un nom de fichier" est affiché dans une info-bulle. Une fois que vous avez cliqué sur ce bouton, une zone Emplacement apparaît. Entrez /usr/lib32 dans la zone Emplacement et cliquez sur Extraire.
  5. Fermez toutes les fenêtres file-roller.
  6. Extrayez les fichiers dans libnspr, à l'aide de la commande suivante :
    $ sudo file-roller ./libnspr4-0d_4.7.1~beta2-0ubuntu1_i386.deb
  7. Cliquez deux fois sur le fichier data.tar.gz et ouvrez-le avec file-roller, puis recherchez et sélectionnez les fichiers suivants dans le dossier/usr/lib :

    • libnspr4.so.0d
    • libplc4.so.0d
    • libplds4.so.0d
  8. Suivez les instructions mentionnées plus haut (à l'étape 7) pour extraire les fichiers dans le dossier /usr/lib32.
  9. Enfin, fermez file-roller et entrez les commandes suivantes :
    $ sudo ln -s /usr/lib32/libnss3.so.1d /usr/lib32/libnss3.so
    $ sudo ln -s /usr/lib32/libssl3.so.1d /usr/lib32/libssl3.so
    $ sudo ln -s /usr/lib32/libnspr4.so.0d /usr/lib32/libnspr4.so
  10. Vous êtes maintenant prêt à installer Adobe AIR pour linux. Saisissez la commande suivante :
    $ ./AdobeAIRIntaller.bin
    Adobe AIR est désormais installé sur votre système.
  11. Il ne reste plus qu'une seule étape avant de commencer à installer et utiliser les applications AIR. Entrez la commande suivante :
    $ sudo cp /usr/lib/libadobecertstore.so /usr/lib32

Pour Ubuntu 9.04 uniquement :

En raison de l'absence du package lib32nss, les applications AIR ne peuvent pas se connecter au réseau. Les utilisateurs Ubuntu 9.04 64 bits requièrent le package lib32nss-mdns pour la résolution DNS dans une application 32 bits :

$ sudo apt-get install lib32nss-mdns

Vous êtes maintenant prêt à installer et exécuter des applications AIR.

 

Installez AIR 1.5 sur OpenSUSE 11 64 bits

Pour installer AIR 1.5 sur OpenSUSE 11 64 bits, installez manuellement les fichiers 32 bits en suivant ces instructions :

  1. Si vous essayez d'exécuter le programme d'installation d'AIR (./AdobeAIRInstaller.bin), vous recevez l'erreur suivante :

    "Erreur lors du chargement de l'environnement d'exécution libxml2.so.2 : impossible d'ouvrir le fichier objet partagé : fichier ou répertoire introuvable."
  2. Au lieu de cela, sélectionnez Installer le logiciel dans le menu Démarrer de l'interface utilisateur de bureau (vous pouvez ignorer l'actualisation automatique).
  3. Recherchez, puis installez les fichiers suivants :

    Cliquez sur Appliquer pour terminer l'installation de ces packages.
    • Recherchez libxml.
      • Sélectionnez libxml2-32 bits dans la liste et cliquez sur Installer.
    • Recherchez libnss3.
      • Sélectionnez mozilla-nss-32 bits dans la liste et cliquez sur Installer.
    • Recherchez libnspr4.
      • Sélectionnez mozilla-nspr-32 bits dans la liste et cliquez sur Installer.
  4. Enfin, entrez la commande suivante :
    $ export LD_LIBRARY_PATH=/usr/lib64:$LD_LIBRARY_PATH

Vous êtes maintenant prêt à installer et exécuter des applications AIR.

 

 

 

 

 

 

Ce produit est distribué sous licence Creative Commons Attribution - Pas d’utilisation commerciale - Partage à l’identique 3.0 non transposé  Les publications Twitter™ et Facebook ne sont pas couvertes par les dispositions Creative Commons.

Mentions légales   |   Politique de confidentialité en ligne